Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005926TestLinkDatabase Generalpublic2013-09-17 20:442013-11-17 09:53
Reporterflaviobeck 
Assigned Tofman 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.8 (2013 Q3 - bug fixing) 
Fixed in Version1.9.9 (2013 Q4 - bug fixing) 
Summary0005926: DB Access Error when access Requirement Specification
DescriptionAfter upgrade from version 1.9.7 to 1.9.8 we have the error below when access requirement specification.

It also happen if I create a new requirement e try to access it.


DB Access Error - debug_print_backtrace() OUTPUT START
 ==============================================================================
#0 database->exec_query() called at [C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink\lib\functions\database.class.php:750]
#1 database->get_recordset() called at [C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink\lib\functions\requirement_mgr.class.php:679]
0000002 requirement_mgr->get_coverage() called at [C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink\lib\requirements\reqView.php:120]
0000003 initialize_gui() called at [C:\Program Files\Apache Software Foundation\Apache2.2\htdocs\testlink\lib\requirements\reqView.php:27]
 ==============================================================================
Steps To Reproduce1. create a requirement specification
2. access the created requirement
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgres
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
child of 0005897closedfman Availables hot-fixes for 1.9.8 & How To get full fixed package from gitorious 

-  Notes
(0019654)
fman (administrator)
2013-09-17 20:54
edited on: 2013-09-17 21:14

try with fresh install of latest code from gitorious, and provide feedback
need a db backup to check data

(0019660)
flaviobeck (reporter)
2013-09-18 15:01
edited on: 2013-09-18 16:48

The alter table script for postgreSQL is wrong comparing the script for mysql.

postgreSQL script is updating "execution" table instead of "req_coverage" table.

the correction is below:


/* testprojects */
ALTER TABLE /*prefix*/cfield_testprojects ADD COLUMN "required" INT2 NOT NULL DEFAULT '0';


/* tcversions */
ALTER TABLE /*prefix*/tcversions ADD COLUMN "estimated_exec_duration" numeric(6,2) NULL;

/* executions */
ALTER TABLE /*prefix*/executions ADD COLUMN "execution_duration" numeric(6,2) NULL;

/* req_coverage */
ALTER TABLE /*prefix*/req_coverage ADD COLUMN "author_id" BIGINT NULL DEFAULT NULL REFERENCES /*prefix*/users (id);
ALTER TABLE /*prefix*/req_coverage ADD COLUMN "creation_ts" TIMESTAMP NOT NULL DEFAULT now();
ALTER TABLE /*prefix*/req_coverage ADD COLUMN "review_requester_id" BIGINT NULL DEFAULT NULL REFERENCES /*prefix*/users (id);
ALTER TABLE /*prefix*/req_coverage ADD COLUMN "review_request_ts" TIMESTAMP NULL DEFAULT NULL;
/* ----- END ----- */

(0019661)
fman (administrator)
2013-09-18 15:11

ok, thanks for your help
(0019662)
fman (administrator)
2013-09-18 15:11

attention with NUMBER => IS WRONG (has been reported) has to be numeric
(0019665)
flaviobeck (reporter)
2013-09-18 16:50

Note has been updated
tks!
(0019672)
fman (administrator)
2013-09-18 20:07

issue can be closed ?
(0020046)
fman (administrator)
2013-11-17 09:53

1.9.9 Released

- Issue History
Date Modified Username Field Change
2013-09-17 20:44 flaviobeck New Issue
2013-09-17 20:54 fman Note Added: 0019654
2013-09-17 20:54 fman Assigned To => fman
2013-09-17 20:54 fman Status new => feedback
2013-09-17 21:14 fman Note Edited: 0019654 View Revisions
2013-09-18 15:01 flaviobeck Note Added: 0019660
2013-09-18 15:01 flaviobeck Status feedback => assigned
2013-09-18 15:11 fman Note Added: 0019661
2013-09-18 15:11 fman Note Added: 0019662
2013-09-18 16:48 flaviobeck Note Edited: 0019660 View Revisions
2013-09-18 16:50 flaviobeck Note Added: 0019665
2013-09-18 20:07 fman Note Added: 0019672
2013-11-08 22:30 fman Status assigned => resolved
2013-11-08 22:30 fman Fixed in Version => 1.9.9 (2013 Q4 - bug fixing)
2013-11-08 22:30 fman Resolution open => fixed
2013-11-08 22:30 fman Relationship added child of 0005897
2013-11-17 09:53 fman Note Added: 0020046
2013-11-17 09:53 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker